Package org.eclipse.rdf4j.http.server.repository.transaction

## Enum ActiveTransactionRegistry

- java.lang.Object
- - java.lang.Enum<ActiveTransactionRegistry>
  - - org.eclipse.rdf4j.http.server.repository.transaction.ActiveTransactionRegistry

- All Implemented Interfaces:
    `Serializable`, `Comparable<ActiveTransactionRegistry>`

      public enum ActiveTransactionRegistry
      extends Enum<ActiveTransactionRegistry>

  Registry keeping track of active transactions identified by a `UUID`.
  Author:
    Jeen Broekstra

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `INSTANCE` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CACHE_TIMEOUT_PROPERTY` | Deprecated. since 2.3 use `Protocol.CACHE_TIMEOUT_PROPERTY`
    `static int` | `DEFAULT_TIMEOUT` | Deprecated. since 2.3 use `Protocol.DEFAULT_TIMEOUT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `active​(org.eclipse.rdf4j.http.server.repository.transaction.Transaction txn)` | Resets transaction timeout.
    `protected void` | `cleanUpSecondaryCache()` |
    `void` | `deregister​(org.eclipse.rdf4j.http.server.repository.transaction.Transaction transaction)` |
    `void` | `destroyScheduler()` |
    `long` | `getTimeout​(TimeUnit unit)` |
    `org.eclipse.rdf4j.http.server.repository.transaction.Transaction` | `getTransaction​(UUID id)` |
    `void` | `register​(org.eclipse.rdf4j.http.server.repository.transaction.Transaction txn)` |
    `static ActiveTransactionRegistry` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ActiveTransactionRegistry[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final ActiveTransactionRegistry INSTANCE

  - ### Field Detail

    - #### CACHE_TIMEOUT_PROPERTY

          @Deprecated
          public static final String CACHE_TIMEOUT_PROPERTY

      Deprecated.
      since 2.3 use `Protocol.CACHE_TIMEOUT_PROPERTY`
      Configurable system property `rdf4j.server.txn.registry.timeout` for specifying the transaction cache timeout (in seconds).
      See Also:
        Constant Field Values

    - #### DEFAULT_TIMEOUT

          @Deprecated
          public static final int DEFAULT_TIMEOUT

      Deprecated.
      since 2.3 use `Protocol.DEFAULT_TIMEOUT`
      Default timeout setting for transaction cache entries (in seconds).
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static ActiveTransactionRegistry[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActiveTransactionRegistry c : ActiveTransactionRegistry.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActiveTransactionRegistry valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### cleanUpSecondaryCache

          protected void cleanUpSecondaryCache()

    - #### destroyScheduler

          public void destroyScheduler()

    - #### getTimeout

          public long getTimeout​(TimeUnit unit)

    - #### register

          public void register​(org.eclipse.rdf4j.http.server.repository.transaction.Transaction txn)

      Parameters:
        `txn` -

    - #### getTransaction

          public org.eclipse.rdf4j.http.server.repository.transaction.Transaction getTransaction​(UUID id)

    - #### active

          public void active​(org.eclipse.rdf4j.http.server.repository.transaction.Transaction txn)

      Resets transaction timeout. If transaction has already timed-out, reinsert the transaction.
      Parameters:
        `txn` -

    - #### deregister

          public void deregister​(org.eclipse.rdf4j.http.server.repository.transaction.Transaction transaction)

      Parameters:
        `transaction` -